config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

preserve_perms() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  if [ -e $OLD ]; then
    cp -a $OLD ${NEW}.incoming
    cat $NEW > ${NEW}.incoming
    mv ${NEW}.incoming $NEW
  fi
  config $NEW
}

preserve_perms etc/profile.d/dakota.sh.new
preserve_perms etc/profile.d/dakota.csh.new
( cd opt/dakota/lib/cmake/tribits/examples/RawAndTribitsHelloWorld/hello_world ; rm -rf hello_world_lib.cpp )
( cd opt/dakota/lib/cmake/tribits/examples/RawAndTribitsHelloWorld/hello_world ; ln -sf ../../RawHelloWorld/hello_world/hello_world_lib.cpp hello_world_lib.cpp )
( cd opt/dakota/lib/cmake/tribits/examples/RawAndTribitsHelloWorld/hello_world ; rm -rf hello_world_lib.hpp )
( cd opt/dakota/lib/cmake/tribits/examples/RawAndTribitsHelloWorld/hello_world ; ln -sf ../../RawHelloWorld/hello_world/hello_world_lib.hpp hello_world_lib.hpp )
( cd opt/dakota/lib/cmake/tribits/examples/RawAndTribitsHelloWorld/hello_world ; rm -rf hello_world_main.cpp )
( cd opt/dakota/lib/cmake/tribits/examples/RawAndTribitsHelloWorld/hello_world ; ln -sf ../../RawHelloWorld/hello_world/hello_world_main.cpp hello_world_main.cpp )
( cd opt/dakota/lib/cmake/tribits/examples/RawAndTribitsHelloWorld/hello_world ; rm -rf hello_world_unit_tests.cpp )
( cd opt/dakota/lib/cmake/tribits/examples/RawAndTribitsHelloWorld/hello_world ; ln -sf ../../RawHelloWorld/hello_world/hello_world_unit_tests.cpp hello_world_unit_tests.cpp )
( cd opt/dakota/lib/cmake/tribits/examples/TribitsHelloWorld/hello_world ; rm -rf hello_world_lib.cpp )
( cd opt/dakota/lib/cmake/tribits/examples/TribitsHelloWorld/hello_world ; ln -sf ../../RawHelloWorld/hello_world/hello_world_lib.cpp hello_world_lib.cpp )
( cd opt/dakota/lib/cmake/tribits/examples/TribitsHelloWorld/hello_world ; rm -rf hello_world_lib.hpp )
( cd opt/dakota/lib/cmake/tribits/examples/TribitsHelloWorld/hello_world ; ln -sf ../../RawHelloWorld/hello_world/hello_world_lib.hpp hello_world_lib.hpp )
( cd opt/dakota/lib/cmake/tribits/examples/TribitsHelloWorld/hello_world ; rm -rf hello_world_main.cpp )
( cd opt/dakota/lib/cmake/tribits/examples/TribitsHelloWorld/hello_world ; ln -sf ../../RawHelloWorld/hello_world/hello_world_main.cpp hello_world_main.cpp )
( cd opt/dakota/lib/cmake/tribits/examples/TribitsHelloWorld/hello_world ; rm -rf hello_world_unit_tests.cpp )
( cd opt/dakota/lib/cmake/tribits/examples/TribitsHelloWorld/hello_world ; ln -sf ../../RawHelloWorld/hello_world/hello_world_unit_tests.cpp hello_world_unit_tests.cpp )
( cd opt/dakota/lib/cmake/tribits/python_utils ; rm -rf gitdist )
( cd opt/dakota/lib/cmake/tribits/python_utils ; ln -sf gitdist.py gitdist )
( cd opt/dakota/lib/cmake/tribits ; rm -rf snapshot_tribits.py )
( cd opt/dakota/lib/cmake/tribits ; ln -sf python_utils/snapshot-dir.py snapshot_tribits.py )
( cd opt/dakota/lib ; rm -rf librol.so )
( cd opt/dakota/lib ; ln -sf librol.so.13 librol.so )
( cd opt/dakota/lib ; rm -rf librol.so.13 )
( cd opt/dakota/lib ; ln -sf librol.so.13.0 librol.so.13 )
( cd opt/dakota/lib ; rm -rf libteuchoscomm.so )
( cd opt/dakota/lib ; ln -sf libteuchoscomm.so.13 libteuchoscomm.so )
( cd opt/dakota/lib ; rm -rf libteuchoscomm.so.13 )
( cd opt/dakota/lib ; ln -sf libteuchoscomm.so.13.0 libteuchoscomm.so.13 )
( cd opt/dakota/lib ; rm -rf libteuchoscore.so )
( cd opt/dakota/lib ; ln -sf libteuchoscore.so.13 libteuchoscore.so )
( cd opt/dakota/lib ; rm -rf libteuchoscore.so.13 )
( cd opt/dakota/lib ; ln -sf libteuchoscore.so.13.0 libteuchoscore.so.13 )
( cd opt/dakota/lib ; rm -rf libteuchosnumerics.so )
( cd opt/dakota/lib ; ln -sf libteuchosnumerics.so.13 libteuchosnumerics.so )
( cd opt/dakota/lib ; rm -rf libteuchosnumerics.so.13 )
( cd opt/dakota/lib ; ln -sf libteuchosnumerics.so.13.0 libteuchosnumerics.so.13 )
( cd opt/dakota/lib ; rm -rf libteuchosparameterlist.so )
( cd opt/dakota/lib ; ln -sf libteuchosparameterlist.so.13 libteuchosparameterlist.so )
( cd opt/dakota/lib ; rm -rf libteuchosparameterlist.so.13 )
( cd opt/dakota/lib ; ln -sf libteuchosparameterlist.so.13.0 libteuchosparameterlist.so.13 )
( cd opt/dakota/lib ; rm -rf libteuchosparser.so )
( cd opt/dakota/lib ; ln -sf libteuchosparser.so.13 libteuchosparser.so )
( cd opt/dakota/lib ; rm -rf libteuchosparser.so.13 )
( cd opt/dakota/lib ; ln -sf libteuchosparser.so.13.0 libteuchosparser.so.13 )
( cd opt/dakota/lib ; rm -rf libteuchosremainder.so )
( cd opt/dakota/lib ; ln -sf libteuchosremainder.so.13 libteuchosremainder.so )
( cd opt/dakota/lib ; rm -rf libteuchosremainder.so.13 )
( cd opt/dakota/lib ; ln -sf libteuchosremainder.so.13.0 libteuchosremainder.so.13 )
